Source: ruby-netcdf
Version: 0.6.6-1
Severity: important
Tags: jessie sid
User: debian-r...@lists.debian.org
Usertags: ruby2-ftbfs-20130818 ruby2-ftbfs
Justification: FTBFS on amd64 with ruby2.0

Hi,

During a rebuild of all packages that build depends on gem2deb
using the new ruby2.0 interpreter, your package failed to build
on amd64.

Relevant part (hopefully):
>  }
>  ^
> linking shared-object numru/netcdfraw.so
> make[1]: Leaving directory `/«PKGBUILDDIR»/ext/numru'
> make install
> make[1]: Entering directory `/«PKGBUILDDIR»/ext/numru'
> /usr/bin/install -c -m 0755 netcdfraw.so 
> /«PKGBUILDDIR»/debian/ruby-netcdf/usr/lib/ruby/vendor_ruby/1.9.1/x86_64-linux/numru
> installing default netcdfraw libraries
> make[1]: Leaving directory `/«PKGBUILDDIR»/ext/numru'
> Building extension for ruby2.0 ...
> /usr/bin/ruby2.0 -I/usr/lib/ruby/vendor_ruby 
> /usr/lib/ruby/vendor_ruby/gem2deb/extension_builder.rb /«PKGBUILDDIR» 
> debian/ruby-netcdf
> make[1]: Entering directory `/«PKGBUILDDIR»/ext/numru'
> make[1]: Leaving directory `/«PKGBUILDDIR»/ext/numru'
> make[1]: Entering directory `/«PKGBUILDDIR»/ext/numru'
> make[1]: Leaving directory `/«PKGBUILDDIR»/ext/numru'
> /usr/lib/ruby/2.0.0/rubygems/ext/builder.rb:60:in `run': extconf failed: 
> (Gem::InstallError)

The full build log is available from:
  
http://aws-logs.debian.net/ftbfs-logs/ruby2.0/ruby-netcdf_0.6.6-1_unstable_ruby2.log

This build is part of an effort to add gem2deb support for ruby2.0.
Information about is available at https://wiki.debian.org/Teams/Ruby/Jessie.

About the rebuild: The rebuild was done on EC2 VM instances from Amazon Web 
Services,
using a clean, minimal and up-to-date chroot, plus gem2deb and ruby2.0 packages 
from
the repository at http://people.debian.org/~terceiro/packages/. The gem2deb 
version
in that repository does not pull ruby1.8 as a dependency anymore, and builds 
packages
against ruby1.9.1 and ruby2.0. Every failed build was retried once to eliminate 
random
failures.

The version of gem2deb used for this rebuild, as well as ruby2.0,
will be uploaded to unstable soon.

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to